# Kataloge

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.

Zudem sind umfangreichere Änderungen im Modul geplant. Die Stabilität und die Einhaltung der [Updaterichtlinien](/grundlagen/hinweise-zur-weiterentwicklung-der-openwowi.md) kann derzeit für diese Endpunkte nicht gewährleistet werden.&#x20;
{% endhint %}

## Vorauszahlungsblock

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/PrepaymentBlock" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Standard-Rundungseinstellung für Vorauszahlungsanpassung

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/DefaultRoundingToInteger" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Elementarverteilungsschlüssel

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/ElementaryDistributionKey" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Anpassungsbeschränkung

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/MatchingBlocker" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Verteilungsschlüssel

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/DistributionKey" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Vorauszahlung Rundungsart

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/RunningCostDistributionCatalog/PrepaymentAdjustmentRoundingType" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Abrechnungszeiträume

Version 1.2

***

## GET /openwowi/v1.2/RunningCostDistributionCatalog/RegularDistributionPeriod

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"From":{"type":"string","nullable":true},"To":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RunningCostDistributionCatalog/RegularDistributionPeriod":{"get":{"tags":["OpenWowi RunningCostDistribution Catalog"],"operationId":"RunningCostDistributionCatalog_GetRegularDistributionPeriod","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Abrechnungsart

#### Version 1.2

***

## GET /openwowi/v1.2/RunningCostDistributionCatalog/DistributionType

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"MeteringServiceProvider":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RunningCostDistributionCatalog/DistributionType":{"get":{"tags":["OpenWowi RunningCostDistribution Catalog"],"operationId":"RunningCostDistributionCatalog_GetDistributionType","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/umlageabrechnung/kataloge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
